tigase.conf

## Class ConfigXMLRepository

- java.lang.Object
- - tigase.conf.ConfigurationCache
  - - tigase.conf.ConfigXMLRepository

- All Implemented Interfaces:
    Iterable<ConfigItem>, ConfigRepositoryIfc, ComponentRepository<ConfigItem>

      public class ConfigXMLRepository
      extends ConfigurationCache

  Class `ConfigXMLRepository` provides access to configuration settings.

  Created: Sat Nov 13 18:53:21 2004

  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_NODE` Field description
    `static String` | `ROOT_NODE` Field description
    `static String` | `XMPP_CONFIG_FILE_PROPERTY_KEY` Field description
    `static String` | `XMPP_CONFIG_FILE_PROPERTY_VAL` Field description

    - ### Fields inherited from class tigase.conf.ConfigurationCache

      `CONFIG_DUMP_FILE_PROP_DEF, CONFIG_DUMP_FILE_PROP_KEY`

    - ### Fields inherited from interface tigase.conf.ConfigRepositoryIfc

      `RELOAD_DELAY, RESOURCE_URI`

    - ### Fields inherited from interface tigase.db.comp.ComponentRepository

      `COMP_REPO_BIND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigXMLRepository()` Constructs ...

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addItem(String compName, ConfigItem item)` Method description
    `Collection<ConfigItem>` | `allItems()` Method description
    `String[]` | `getCompNames()` Method description
    `static ConfigXMLRepository` | `getConfigRepository()` Method description
    `static ConfigXMLRepository` | `getConfigRepository(boolean debug, String file_name)` Method description
    `static ConfigXMLRepository` | `getConfigRepository(String file_name)` Method description
    `ConfigItem` | `getItem(String compName, String node, String key)` Method description
    `Set<ConfigItem>` | `getItemsForComponent(String compName)` Method description
    `String[]` | `getKeys(String root, String node)` Method description
    `void` | `init(Map<String,Object> params)` Method description
    `String` | `nodeForPackage(Class cls)` Method description
    `void` | `removeItem(String compName, ConfigItem item)` Method description
    `int` | `size()` Method description
    `void` | `store()` Method description

    - ### Methods inherited from class tigase.conf.ConfigurationCache

      `addItem, addItem, addRepoChangeListener, contains, get, getDefaults, getDefHostname, getInitProperties, getItem, getItemInstance, getProperties, iterator, putProperties, reload, remove, removeItem, removeRepoChangeListener, set, setAutoloadTimer, setDefHostname, setProperties, validateItem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_NODE

          public static final String COMPONENT_NODE

      Field description
      See Also:
        Constant Field Values

    - #### ROOT_NODE

          public static final String ROOT_NODE

      Field description
      See Also:
        Constant Field Values

    - #### XMPP_CONFIG_FILE_PROPERTY_KEY

          public static final String XMPP_CONFIG_FILE_PROPERTY_KEY

      Field description
      See Also:
        Constant Field Values

    - #### XMPP_CONFIG_FILE_PROPERTY_VAL

          public static final String XMPP_CONFIG_FILE_PROPERTY_VAL

      Field description
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConfigXMLRepository

          public ConfigXMLRepository()

      Constructs ...

  - ### Method Detail

    - #### getConfigRepository

          public static ConfigXMLRepository getConfigRepository()
                                                         throws tigase.xml.db.XMLDBException

      Method description
      Returns:
      Throws:
        `tigase.xml.db.XMLDBException`

    - #### getConfigRepository

          public static ConfigXMLRepository getConfigRepository(String file_name)
                                                         throws tigase.xml.db.XMLDBException

      Method description
      Parameters:
        `file_name` -
      Returns:
      Throws:
        `tigase.xml.db.XMLDBException`

    - #### getConfigRepository

          public static ConfigXMLRepository getConfigRepository(boolean debug,
                                                String file_name)
                                                         throws tigase.xml.db.XMLDBException

      Method description
      Parameters:
        `debug` -
        `file_name` -
      Returns:
      Throws:
        `tigase.xml.db.XMLDBException`

    - #### addItem

          public void addItem(String compName,
                     ConfigItem item)

      Method description
      Overrides:
        `addItem` in class `ConfigurationCache`
      Parameters:
        `compName` -
        `item` -

    - #### allItems

          public Collection<ConfigItem> allItems()
                                          throws TigaseDBException

      Method description
      Specified by:
        `allItems` in interface `ComponentRepository<ConfigItem>`
      Overrides:
        `allItems` in class `ConfigurationCache`
      Returns:
      Throws:
        `TigaseDBException`

    - #### getCompNames

          public String[] getCompNames()

      Method description
      Specified by:
        `getCompNames` in interface `ConfigRepositoryIfc`
      Overrides:
        `getCompNames` in class `ConfigurationCache`
      Returns:

    - #### getItem

          public ConfigItem getItem(String compName,
                           String node,
                           String key)

      Method description
      Overrides:
        `getItem` in class `ConfigurationCache`
      Parameters:
        `compName` -
        `node` -
        `key` -
      Returns:

    - #### getItemsForComponent

          public Set<ConfigItem> getItemsForComponent(String compName)

      Method description
      Specified by:
        `getItemsForComponent` in interface `ConfigRepositoryIfc`
      Overrides:
        `getItemsForComponent` in class `ConfigurationCache`
      Parameters:
        `compName` -
      Returns:

    - #### getKeys

          public String[] getKeys(String root,
                         String node)

      Method description
      Specified by:
        `getKeys` in interface `ConfigRepositoryIfc`
      Overrides:
        `getKeys` in class `ConfigurationCache`
      Parameters:
        `root` -
        `node` -
      Returns:

    - #### init

          public void init(Map<String,Object> params)
                    throws ConfigurationException

      Method description
      Specified by:
        `init` in interface `ConfigRepositoryIfc`
      Overrides:
        `init` in class `ConfigurationCache`
      Parameters:
        `params` -
      Throws:
        `ConfigurationException`

    - #### nodeForPackage

          public String nodeForPackage(Class cls)

      Method description
      Parameters:
        `cls` -
      Returns:

    - #### removeItem

          public void removeItem(String compName,
                        ConfigItem item)

      Method description
      Overrides:
        `removeItem` in class `ConfigurationCache`
      Parameters:
        `compName` -
        `item` -

    - #### size

          public int size()

      Method description
      Specified by:
        `size` in interface `ComponentRepository<ConfigItem>`
      Overrides:
        `size` in class `ConfigurationCache`
      Returns:

    - #### store

          public void store()
                     throws TigaseDBException

      Method description
      Specified by:
        `store` in interface `ComponentRepository<ConfigItem>`
      Overrides:
        `store` in class `ConfigurationCache`
      Throws:
        `TigaseDBException`

Copyright © 2013 Tigase. All rights reserved.